# C6 CLI [![NPM version][npm-image]][npm-url] [![Build Status][travis-image]][travis-url] [![Dependency Status][daviddm-image]][daviddm-url] [![Coverage percentage][coveralls-image]][coveralls-url]

> CLI Tool for P6 development

## Installation

We assume you have pre-installed v8.0.0 or latest [node.js](https://nodejs.org/).

For installing this package run the command:

### With NPM:

```bash
npm install -g c6-cli
```

### With Yarn:

```bash
yarn global add c6-cli
```

### Throught Github:

1.  Clone this repository, `master` branch.
2.  Open `Command Line` on source code folder root.
3.  Run command `npm install -g ./`.
4.  Locate `C:\Users\{{USER}}\AppData\Roaming\npm` and open file `c6.cmd`.
5.  Replace content with:

```bash
@IF EXIST "%~dp0\node.exe" (
  "%~dp0\node.exe"  "%~dp0\node_modules\c6-cli\index.js"   %*
) ELSE (
  @SETLOCAL
  @SET PATHEXT=%PATHEXT:;.JS;=;%
  node  "%~dp0\node_modules\c6-cli\index.js"   %*
)
```

and wait until installation finish.

## Getting Started

Run the command `c6 --help` to see the available options:

```bash
Options:

    -V, --version                     output the version number
    -c --config <config>              configuration file name.
    -cc --create-config               executes configuration file generator.
    -s --subgenerator <subgenerator>  execute a subgenerator directly.
    -h, --help                        output usage information
```

Running the command `c6` without options will search for configuration file `.c6-config.json` or execute the generator wizard by default:

```bash
? Generator Type: Application
? Aplication Type:  Enrollment Application
? [app]: Write application name: app
? [app]: Select the primary color of your app: (Use arrow keys)
> white
  blue
  red
  salmon
  pink
  purple
  orange
(Move up and down to reveal more choices)
```

Subgenerators can be executed directly using the `-s` or `--subgenerator` option:

```bash
c6 -s application/site
```

Also create a configuration file using the option `--create-config`:

```bash
c6 --create-config
```

this will create a file named `.c6-config.json` in the execution path with the desired configuration.

## License

© [Parallel 6]()

[npm-image]: https://badge.fury.io/js/generator-c6.svg
[npm-url]: https://npmjs.org/package/generator-c6
[travis-image]: https://travis-ci.org/karurosux/generator-c6.svg?branch=master
[travis-url]: https://travis-ci.org/karurosux/generator-c6
[daviddm-image]: https://david-dm.org/karurosux/generator-c6.svg?theme=shields.io
[daviddm-url]: https://david-dm.org/karurosux/generator-c6
[coveralls-image]: https://coveralls.io/repos/karurosux/generator-c6/badge.svg
[coveralls-url]: https://coveralls.io/r/karurosux/generator-c6
